> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get testing lab scenarios



## OpenAPI

````yaml get /api/v1/testing-lab/scenarios
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/testing-lab/scenarios:
    get:
      tags:
        - Testing Lab
      summary: Get testing lab scenarios
      parameters:
        - schema:
            type: string
          required: false
          name: page
          in: query
        - schema:
            type: string
          required: true
          name: agentId
          in: query
      responses:
        '200':
          description: Get the cekura test scenarios
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestingLabScenariosResponse'
        '400':
          description: Bad request - Agent ID is required
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  schemas:
    TestingLabScenariosResponse:
      type: object
      properties:
        count:
          type: number
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
              personality:
                type: number
              personality_name:
                type: string
              phone_number:
                type: string
              instructions:
                type: string
              expected_outcome_prompt:
                type: string
              scenario_language:
                type: string
              tags:
                type: array
                items:
                  type: string
            required:
              - id
              - name
              - personality
              - personality_name
              - phone_number
              - instructions
              - expected_outcome_prompt
              - scenario_language
              - tags
      required:
        - count
        - next
        - previous
        - results
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````